Bug 995505 - [Doc Bug Fix] EjbContext is not good to be refered
[Doc Bug Fix] EjbContext is not good to be refered
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.2.0
Unspecified Unspecified
high Severity high
: ER7
: EAP 6.3.0
Assigned To: Lucas Costi
Hayk Hovsepyan
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-09 10:49 EDT by Ondrej Chaloupka
Modified: 2014-08-14 11:19 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Build: CSProcessor Builder Version 1.11 Build Name: 11864, Development Guide-6.1-4 Build Date: 19-07-2013 12:11:48 Topic ID: 4304-369115 [Specified]
Last Closed: 2014-06-28 11:28:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ondrej Chaloupka 2013-08-09 10:49:46 EDT
Title: Begin a Transaction

There is no EjbContext class. There is EJBContext class. And you can't call getUserTransaction directly on the EJBContext class. You need to instantiate it at first.

Nevertheless the normal usage is to inject specific context based on session bean type. 
Like 
@Resource SessionContext ctx;
ctx.getUserTransaction()
in statless/stateful bean.
or 
@Resource MessageDrivenContext ctx;
ctx.getUserTransaction()
in MDB.

I think that it would be better to mention it so.
Comment 1 Lucas Costi 2014-06-05 00:35:21 EDT
Okay: I have modified the first step of the procedure to change the description text, and also changed the substep for the 'Context' to have separate code samples for stateless/stateful beans vs message-driven beans (as shown in the description of this bug).

The changes can be previewed on docbuilder here:

http://docbuilder.usersys.redhat.com/22509/#Begin_a_JTA_Transaction

The changes will be in the next document build, and the status will be changed to ON_QA when it is ready for review.
Comment 3 Hayk Hovsepyan 2014-06-10 04:57:48 EDT
Verified on Revision 6.3.0-19

Note You need to log in before you can comment on or make changes to this bug.